package com.fs.his.service;

import java.util.List;

import com.fs.common.core.domain.R;
import com.fs.his.domain.FsDrugReportCount;
import com.fs.his.param.FsDrugReportCountParam;
import com.fs.his.vo.FsDrugReportCountListVO;

/**
 * 咨询统计Service接口
 *
 * @author fs
 * @date 2024-04-23
 */
public interface IFsDrugReportCountService
{
    /**
     * 查询咨询统计
     *
     * @param id 咨询统计主键
     * @return 咨询统计
     */
    public FsDrugReportCount selectFsDrugReportCountById(Long id);

    /**
     * 查询咨询统计列表
     *
     * @param fsDrugReportCount 咨询统计
     * @return 咨询统计集合
     */
    public List<FsDrugReportCount> selectFsDrugReportCountList(FsDrugReportCount fsDrugReportCount);

    /**
     * 新增咨询统计
     *
     * @param fsDrugReportCount 咨询统计
     * @return 结果
     */
    public int insertFsDrugReportCount(FsDrugReportCount fsDrugReportCount);

    /**
     * 修改咨询统计
     *
     * @param fsDrugReportCount 咨询统计
     * @return 结果
     */
    public int updateFsDrugReportCount(FsDrugReportCount fsDrugReportCount);

    /**
     * 批量删除咨询统计
     *
     * @param ids 需要删除的咨询统计主键集合
     * @return 结果
     */
    public int deleteFsDrugReportCountByIds(Long[] ids);

    /**
     * 删除咨询统计信息
     *
     * @param id 咨询统计主键
     * @return 结果
     */
    public int deleteFsDrugReportCountById(Long id);

    public R addReportCountByUserIdAndDoctorId(Long userId, Long DoctorId);

    List<FsDrugReportCountListVO> selectFsDrugReportCountListVO(FsDrugReportCountParam fsDrugReportCount);
}
